package com.centerm.smartpos.aidl.pboc;

import com.centerm.smartpos.aidl.pboc.AidlPbocDevListener;
interface AidlPboc{
    /** 打开 */
	void open();
	/** 清楚交易日志*/
	int clearTranslog();
	/** 寻卡 */
	void searchCard(byte data,byte timeout,AidlPbocDevListener listener);
	/** 取消寻卡 */
	int cancelSearchCard();
	/** 更新AID参数 */
	boolean updateAIDParam(byte operateFlag,in byte[] aidParam);
	/** 更新CA参数 */
	boolean updateCaParam(byte operateFlag,in byte[] caParam);
	/** 标准借记贷--ProPBOC */
	void standardDebitAndCreditStartProcInf(in byte[] data,AidlPbocDevListener listener);
	/** 标准借记贷--PBOC内核选择 */
	void standardDebitAndCreditKernelProcInf(in byte[] data,AidlPbocDevListener listener);
	/** 输入联机交易数据 */
	void inputOnlineTransData(byte onlineResult,in byte[] iccresponse,in byte[] AckData,AidlPbocDevListener listener);
	/** 标准借记贷--PBOC流程完成 */
	void standardDebitAndCreditCompleteProcInf(in byte[] data,AidlPbocDevListener listener);
	/** 复位 */
	int reset(byte type);
	/** 读取卡片脱机余额 */
	byte[] readCardOfflineBalance(byte slottype,AidlPbocDevListener listener);
	/** 读取卡片交易日志 */
	byte[] readCardTransLog(byte slottype,AidlPbocDevListener listener);
	/** 非接预处理 */
	void rfPretreatmentProcess(byte transtype,byte flag,AidlPbocDevListener listener);
	/** 非接卡进行Pro--PBOC过程 */
	void rfStartProcInf(in byte[] taglist,AidlPbocDevListener listener);
	/** 非接卡PBOC内核设置 */
	void rfKernelProcInf(in byte[] taglist,AidlPbocDevListener listener);
	/** 非接卡PBOC完成 */
	void rfCompleteProcInf(in byte[] data,AidlPbocDevListener listener);
	/** 读取内核数据 */
	byte[] readKernelData(in byte[] data);
	/** 读取卡片日志 */
	byte[] readCardLoadLog(byte cardtype,byte readType,AidlPbocDevListener listener);
	/** 用户总额输入*/
	int amountByUser(in byte[] resultData);
	/** 用户输入pin*/
	int pinByUser(in byte[] resultData);
	/** 用户选择类型*/
	int accTypeSelectByUser(in byte[] resultData);
	/** 用户授权结果*/
	int resultOfUserAuthentication(in byte[] data);
	/** AID选择结果*/
	int resultOfAIDSelect(in byte[] data);
	/** 发卡行语音提示结果*/
	int resultOfIssuerVoiceReference(in byte[] data);
	/** 信息执行结果*/
	int resultOfMessageExcute(byte result);
	/** 电子现金交易结果*/
	int resultOfElectricCashTip(in byte[] data);
	/** app参数 */
	int appConfigData(in byte[] data);
	/** 关闭 */
	void close();
	/** 密钥存储 */
	boolean setParameters(int index,int value);
	/** 密码键盘信息确认 */
	int panInfoConfirm(byte result);
	/** aid参数读取 */
	byte[] aidParamRead(in byte[] data);
	/** CA公钥读取  */
	byte[] caPublicKeyParamRead(in byte[] data);
}
