package com.centerm.smartpos.aidl.wifiprobe;

import com.centerm.smartpos.aidl.wifiprobe.IProbeSwitchCallback;
import com.centerm.smartpos.aidl.wifiprobe.IProbeInfoCallback;
import com.centerm.smartpos.aidl.wifiprobe.IProbeStateCallback;

interface AidlWifiProbe{
	 /**
	  * 打开探针数据采集功能
	  * @createtor:wangwenxun@centerm.com
	  * @date:2018-01-04 
	  */
     void openWifiProbe(IProbeSwitchCallback callback);
    
     /**
	  * 开始获取探针采集到的数据
	  * 类似班哥的registerStaCallback
	  * @createtor:wangwenxun@centerm.com
	  * @date:2018-01-04 
	  */
     void startGetProbeInfo(IProbeInfoCallback callback);
     
     /**
	  * 停止获取探针采集到的数据
	  * 类似班哥的unregisterStacallback
	  * @createtor:wangwenxun@centerm.com
	  * @date:2018-01-04 
	  */
     void stopGetProbeInfo(IProbeInfoCallback callback);

      /**
	  * 关闭探针数据采集功能
	  * @createtor:wangwenxun@centerm.com
	  * @date:2018-01-04 
	  */
     void closeWifiProbeInfo(IProbeSwitchCallback callback);
     
     /**
	  * 开启探针数据采集开关监听
	  * 类似旧的 startGetStaProbeInfo()的接口
	  * @createtor:wangwenxun@centerm.com
	  * @date:2018-01-04 
	  */
     void startGetProbeState(IProbeStateCallback callback);     
     
     /**
	  * 关闭探针数据采集开关监听
	  * @createtor:wangwenxun@centerm.com
	  * @date:2018-01-04 
	  */
     void stopGetProbeState(IProbeStateCallback callback);
     
}