package com.nexgo.oaf.apiv3;

public class SdkResult {
    public final static int Success = 0;
    public final static int Fail = -1;
    public final static int Param_In_Invalid = -2;
    public final static int TimeOut = -3;
    /* 设备未登入 */
    public final static int Device_Not_Ready = -4;

    //---- Printer Error -----
    private final static int Printer_Base_Error = -1000;
    /**
     * 打印失败
     */
    public final static int Printer_Print_Fail = Printer_Base_Error - 1;
    /**
     * 设置字符串缓冲失败
     */
    public final static int Printer_AddPrnStr_Fail = Printer_Base_Error - 2;
    /**
     * 设置图片缓冲失败
     */
    public final static int Printer_AddImg_Fail = Printer_Base_Error - 3;
    /**
     * 打印机忙
     */
    public final static int Printer_Busy = Printer_Base_Error - 4;
    /**
     * 打印机缺纸
     */
    public final static int Printer_PaperLack = Printer_Base_Error - 5;
    /**
     * 打印数据包格式错
     */
    public final static int Printer_Wrong_Package = Printer_Base_Error - 6;
    /**
     * 打印机故障
     */
    public final static int Printer_Fault = Printer_Base_Error - 7;
    /**
     * 打印机过热
     */
    public final static int Printer_TooHot = Printer_Base_Error - 8;
    /**
     * 打印未完成
     */
    public final static int Printer_UnFinished = Printer_Base_Error - 9;
    /**
     * 其他异常错误
     */
    public final static int Printer_Other_Error = Printer_Base_Error - 999;

    //---- Scanner Error -----
    private final static int Scanner_Base_Error = -2000;
    /**
     * 用户按键退出
     */
    public final static int Scanner_Customer_Exit = Scanner_Base_Error - 1;
    /**
     * 其他异常错误
     */
    public final static int Scanner_Other_Error = Scanner_Base_Error - 999;


    //---- SerialPort Error -----
    private final static int SerialPort_Base_Error = -4000;
    /**
     * 串口连接失败
     */
    public final static int SerialPort_Connect_Fail = SerialPort_Base_Error - 1;
    /**
     * 串口数据发送失败
     */
    public final static int SerialPort_Send_Fail = SerialPort_Base_Error - 2;
    /**
     * Fd错误
     */
    public final static int SerialPort_Fd_Error = SerialPort_Base_Error - 3;
    /**
     * 串口未打开
     */
    public final static int SerialPort_Port_Not_Open = SerialPort_Base_Error - 4;
    /**
     * 串口断链失败
     */
    public final static int SerialPort_DisConnect_Fail = SerialPort_Base_Error - 5;
    /**
     * 数据接收超时
     */
    public final static int SerialPort_Timeout_Receiving_Data = SerialPort_Base_Error - 6;
    /**
     * 无效的通讯参数，通讯参数不符合字符串规则或数据超出正常范围。
     */
    public final static int SerialPort_Invalid_Communication_Parameter = SerialPort_Base_Error - 7;
    /**
     * 其他异常错误
     */
    public final static int SerialPort_Other_Error = SerialPort_Base_Error - 999;

    //---- MagCardReader Error -----
    private final static int MagCardReader_Base_Error = -5000;
    /**
     * 其他异常错误
     */
    public final static int MagCardReader_Other_Error = MagCardReader_Base_Error - 999;

    //---- IccCardReader Error -----
    private final static int IccCardReader_Base_Error = -6000;
    /**
     * 其他异常错误
     */
    public final static int IccCardReader_Other_Error = IccCardReader_Base_Error - 999;

    //---- PinPad Error ----
    private final static int PinPad_Base_Error = -7000;
    /**
     * 密钥不存在
     */
    public final static int PinPad_No_Key_Error = PinPad_Base_Error - 1;
    /**
     * 密钥索引错，参数索引不在范围内
     */
    public final static int PinPad_KeyIdx_Error = PinPad_Base_Error - 2;
    /**
     * 没输入PIN
     */
    public final static int PinPad_No_Pin_Input = PinPad_Base_Error - 3;
    /**
     * 取消输入PIN
     */
    public final static int PinPad_Input_Cancel = PinPad_Base_Error - 4;
    /**
     * 密钥长度错
     */
    public final static int PinPad_Key_Len_Error = PinPad_Base_Error - 8;
    /**
     * 输入PIN超时
     */
    public final static int PinPad_Input_Timeout = PinPad_Base_Error - 9;
    /**
     * 其他异常错误
     */
    public final static int PinPad_Other_Error = PinPad_Base_Error - 999;

    //---- EmvHandler Error ----
    private final static int EmvHandler_Base_Error = -8000;
    /**
     * <请尝试其他通信界面
     */
    public final static int Emv_Other_Interface = EmvHandler_Base_Error - 1;
    /**
     * <非接触QPBOC交易脱机接受
     */
    public final static int Emv_Qpboc_Offline = EmvHandler_Base_Error - 2;
    /**
     * <非接触QPBOC交易联机
     */
    public final static int Emv_Qpboc_Online = EmvHandler_Base_Error - 3;
    /**
     * <非接触PBOC交易联机
     */
    public final static int Emv_Pboc_Online = EmvHandler_Base_Error - 4;
    /**
     * <非接触MSD交易联机
     */
    public final static int Emv_MSD_Online = EmvHandler_Base_Error - 5;
    /**
     * <电子现金脱机接受
     */
    public final static int Emv_Ec_Accept = EmvHandler_Base_Error - 6;
    /**
     * <标准流程脱机接受
     */
    public final static int Emv_Offline_Accept = EmvHandler_Base_Error - 7;
    /**
     * <交易中卡片被移开
     */
    public final static int Emv_Card_Removed = EmvHandler_Base_Error - 8;
    /**
     * <读卡失败
     */
    public final static int Emv_Command_Fail = EmvHandler_Base_Error - 9;
    /**
     * <卡片已锁
     */
    public final static int Emv_Card_Block = EmvHandler_Base_Error - 10;
    /**
     * <参数错
     */
    public final static int Emv_PARA_ERR = EmvHandler_Base_Error - 11;
    /**
     * <无共同应用
     */
    public final static int Emv_Candidatelist_Empty = EmvHandler_Base_Error - 12;
    /**
     * <应用已锁
     */
    public final static int Emv_App_Block = EmvHandler_Base_Error - 13;
    /**
     * <交易fallback
     */
    public final static int Emv_FallBack = EmvHandler_Base_Error - 14;
    /**
     * <数据认证失败
     */
    public final static int Emv_Auth_Fail = EmvHandler_Base_Error - 15;
    /**
     * <应用尚未生效
     */
    public final static int Emv_App_Ineffect = EmvHandler_Base_Error - 16;
    /**
     * <应用已失效
     */
    public final static int Emv_App_Expired = EmvHandler_Base_Error - 17;
    /**
     * <持卡人验证失败
     */
    public final static int Emv_Cvm_Fail = EmvHandler_Base_Error - 18;
    /**
     * <交易应联机
     */
    public final static int Emv_Online = EmvHandler_Base_Error - 19;
    /**
     * <交易取消
     */
    public final static int Emv_Cancel = EmvHandler_Base_Error - 20;
    /**
     * <交易拒绝
     */
    public final static int Emv_Declined = EmvHandler_Base_Error - 21;
    /**
     * <发卡行认证失败
     */
    public final static int Emv_Arpc_Fail = EmvHandler_Base_Error - 22;
    /**
     * <发卡行脚本执行失败
     */
    public final static int Emv_Script_Fail = EmvHandler_Base_Error - 23;
    /**
     * <应用不接受，可重新选择
     */
    public final static int Emv_App_NoAccept = EmvHandler_Base_Error - 24;
    /**
     * <脱机拒绝
     */
    public final static int Emv_Offline_Declined = EmvHandler_Base_Error - 25;
    /**
     * <交易成功，发卡行认证失败
     */
    public final static int Emv_Success_Arpc_Fail = EmvHandler_Base_Error - 26;
    /**
     * 查看手机
     */
    public final static int Emv_Plz_See_Phone = EmvHandler_Base_Error - 27;
    /**
     * 交易中止
     */
    public final static int Emv_Terminate = EmvHandler_Base_Error - 28;
    /**
     * 其他错误异常
     */
    public final static int Emv_Other_Error = EmvHandler_Base_Error - 999;

    //---- CardHandler Error -----
    //---- -10000 ~ -19900 划给卡片操作用
    //---- -10100 代表接触式CPU卡  -10200 - 非接触式CPU卡 共计支持99种卡片类型
    private final static int CardHandler_Base_Error = -10000;
    //---- 接触式IC卡返回码段
    public final static int Icc_Base_Error = CardHandler_Base_Error - 100;
    /**
     * 交易中卡被拨出
     */
    public final static int Icc_PullOut_Card = Icc_Base_Error - 1;
    /**
     * 奇偶错误
     */
    public final static int Icc_Parity_Err = Icc_Base_Error - 2;
    /**
     * 选择通道错误
     */
    public final static int Icc_Channel_Err = Icc_Base_Error - 3;
    /**
     * 发送数据太长(LC)
     */
    public final static int Icc_Data_Len_TooLong = Icc_Base_Error - 4;
    /**
     * 卡片协议错误(不为T＝0或T＝1)
     */
    public final static int Icc_Protocol_Err = Icc_Base_Error - 5;
    /**
     * 没有复位卡片
     */
    public final static int Icc_No_Reset_Card = Icc_Base_Error - 6;
    /**
     * 不能通信或没上电
     */
    public final static int Icc_Not_Call = Icc_Base_Error - 7;
    /**
     * 其他异常错误
     */
    public final static int Icc_Other_Error = Icc_Base_Error - 99;
    //---- 非接触式IC卡返回码段
    private final static int Picc_Base_Error = CardHandler_Base_Error - 200;
    /**
     * 射频模块未开启
     */
    public final static int Picc_Not_Open = Picc_Base_Error - 1;
    /**
     * 未搜寻到卡片(感应区内无指定类型的卡片)
     */
    public final static int Picc_Not_Searched_Card = Picc_Base_Error - 2;
    /**
     * 感应区内卡片过多(出现通讯冲突)
     */
    public final static int Picc_Card_Too_Many = Picc_Base_Error - 3;
    /**
     * 协议错误(卡片应答中出现违反协议规定的数据)
     */
    public final static int Picc_Protocol_Data_Err = Picc_Base_Error - 4;
    /**
     * 卡片未激活
     */
    public final static int Picc_Card_No_Activation = Picc_Base_Error - 5;
    /**
     * 多卡冲突
     */
    public final static int Picc_Muti_Card_Err = Picc_Base_Error - 6;
    /**
     * 协议错误
     */
    public final static int Picc_Protocol_Err = Picc_Base_Error - 7;
    /**
     * 通信传输错误
     */
    public final static int Picc_Io_Err = Picc_Base_Error - 8;
    /**
     * 卡片仍在感应区内
     */
    public final static int Picc_Card_Sense_Err = Picc_Base_Error - 9;
    /**
     * 卡片状态错误(如A/B卡调用M1卡接口, 或M1卡调用PiccIsoCommand接口)
     */
    public final static int Picc_Card_Status_Err = Picc_Base_Error - 10;
    /**
     * 接口芯片不存在或异常
     */
    public final static int Picc_Not_Call = Picc_Base_Error - 11;
    /**
     * 其他错误异常
     */
    public final static int Picc_Other_Error = Picc_Base_Error - 99;

    /**
     * M1卡部分
     */
    public final static int M1Card_Base_Error = CardHandler_Base_Error - 300;
    /**
     * M1卡认证失败
     */
    public final static int M1Card_Verify_Err = M1Card_Base_Error - 1;
    /**
     * 其他错误异常
     */
    public final static int M1Card_Other_Error = M1Card_Base_Error - 99;

}
