package com.nexgo.oaf.apiv3.card.cpu;

/**
 * apdu命令类
 * byte cla 指令类别
 * byte ins 指令代码
 * byte p1,p2 命令参数
 * int lc 数据长度
 * byte[] dataIn 数据
 * int le 期望响应数据字节长度
 * byte swa,swb 响应码
 * byte[] dataOut 返回数据
 * int dataOutLen 返回数据长度
 */
public class APDUEntity {

    private byte p1;
    private byte p2;
    private int lc;
    private int le = -1;//xiaox 2017/7/25 下午6:37 增加默认值判断，解决应用本身就想发0的情况
    private byte ins;
    private byte cla;
    private byte swa;
    private byte swb;
    private int dataOutLen;
    private byte[] dataIn = new byte[256];
    private byte[] dataOut = new byte[256];

    public byte getP1() {
        return p1;
    }

    public void setP1(byte p1) {
        this.p1 = p1;
    }

    public byte getP2() {
        return p2;
    }

    public void setP2(byte p2) {
        this.p2 = p2;
    }

    public int getLc() {
        return lc;
    }

    public void setLc(int lc) {
        this.lc = lc;
    }

    public int getLe() {
        return le;
    }

    public void setLe(int le) {
        this.le = le;
    }

    public byte getIns() {
        return ins;
    }

    public void setIns(byte ins) {
        this.ins = ins;
    }

    public byte getCla() {
        return cla;
    }

    public void setCla(byte cla) {
        this.cla = cla;
    }

    public byte getSwa() {
        return swa;
    }

    public void setSwa(byte swa) {
        this.swa = swa;
    }

    public byte getSwb() {
        return swb;
    }

    public void setSwb(byte swb) {
        this.swb = swb;
    }

    public int getDataOutLen() {
        return dataOutLen;
    }

    public void setDataOutLen(int dataOutLen) {
        this.dataOutLen = dataOutLen;
    }

    public byte[] getDataIn() {
        return dataIn;
    }

    public void setDataIn(byte[] dataIn) {
        this.dataIn = dataIn;
    }

    public byte[] getDataOut() {
        return dataOut;
    }

    public void setDataOut(byte[] dataOut) {
        this.dataOut = dataOut;
    }
}
