package com.nexgo.oaf.apiv3.card.cpu;

/**
 * Created by xiaox on 16/4/20.
 */

/**
 * CPU 类操作
 */
public interface CPUCardHandler {

    /**
     * 读卡的UID
     *
     * @return UID
     */
    String readUid();

    /**
     * 上电,针对接触式
     *
     * @param atr 上电返回 atr,第一个字节为长度，十六进制
     * @return 成功或失败
     */
    boolean powerOn(byte[] atr);

    /**
     * 下电
     */
    void powerOff();

    /**
     * 发送 apdu
     *
     * @param cmd {@link APDUEntity}
     * @return SdkResult.Success, SdkResult.Fail
     */
    int exchangeAPDUCmd(APDUEntity cmd);

    /**
     * 发送apdu
     *
     * @param cmd apdu指令
     * @return 卡片返回的数据, 交互失败返回null
     */
    byte[] exchangeAPDUCmd(byte[] cmd);

    /**
     * 读取身份证APDU指令
     *
     * @param cmd APDU指令
     * @return 身份证返回的数据
     */
    byte[] exchangeAPDUCmdForIdentityCard(byte[] cmd);

    /**
     * 激活卡片,针对非接
     *
     * @return 成功或失败
     */
    boolean active();

    /**
     * 移开卡片,针对非接
     *
     * @return 成功或失败
     */
    boolean remove();
}
