package com.nexgo.oaf.apiv3.card.memory;

import com.nexgo.oaf.apiv3.device.reader.CardTypeEnum;

/**
 * Created by xiaox on 2017/1/6.
 */

/**
 * MemoryCard操作类
 */
public interface MemoryCardHandler {
    /**
     * 复位
     *
     * @param cardType {@link CardTypeEnum} 支持SLE4428,SLE4442,AT88SC153,AT88SC1608,IS23SC1604,AT88SC101,AT88SC102
     * @return SdkResult.Success, SdkResult.Fail
     */
    int reset(CardTypeEnum cardType);

    /**
     * 下电
     */
    void powerOff();

    /**
     * 读操作
     * @param read {@link ReadECEntity}
     * @return 卡片数据，读失败时返回null
     */
    byte[] read(ReadEntity read);

    /**
     * 写操作
     * @param write {@link WriteEntity}
     * @return SdkResult.Success, SdkResult.Fail
     */
    int write(WriteEntity write);

    /**
     * 擦除操作
     * @param erase {@link EraseEntity} 支持AT88SC101,AT88SC102,IS23SC1604
     * @return SdkResult.Success, SdkResult.Fail
     */
    int earse(EraseEntity erase);

    /**
     * 卡密码校验
     * @param verify {@link VerifyEntity}
     * @return SdkResult.Success, SdkResult.Fail
     */
    int verify(VerifyEntity verify);

    /**
     * 读剩余密码校验次数
     * @param readEC {@link ReadECEntity}
     * @return 次数
     */
    int readEC(ReadECEntity readEC);

    /**
     * 卡密码修改
     * @param updateEC {@link UpdateECEntity}
     * @return SdkResult.Success, SdkResult.Fail
     */
    int updateEC(UpdateECEntity updateEC);
}
