package com.nexgo.oaf.apiv3.card.memory;

import com.nexgo.oaf.apiv3.device.reader.CardTypeEnum;

/**
 * Created by xiaox on 2017/1/6.
 */

/**
 * 读操作类
 * CardTypeEnum cardType 卡类型
 * int zone SLE4428时表示 保护位方式 0:不带保护位，1:带保护位
 *      SLE4442时表示 存储区域，0:主存储区，1:保护区
 *      AT88SC153,AT88SC1608时表示 分区号
 *      IS23SC1604时表示 区域编码
 * int address 起始地址，从0开始
 * int readLen 读取数据长度
 */
public class ReadEntity {
    private CardTypeEnum cardType;
    private int zone;
    private int address;
    private int readLen;

    public ReadEntity() {
    }

    public ReadEntity(CardTypeEnum cardType, int zone, int address, int readLen) {
        this.cardType = cardType;
        this.zone = zone;
        this.address = address;
        this.readLen = readLen;
    }

    public int getZone() {
        return zone;
    }

    public void setZone(int zone) {
        this.zone = zone;
    }

    public int getAddress() {
        return address;
    }

    public void setAddress(int address) {
        this.address = address;
    }

    public int getReadLen() {
        return readLen;
    }

    public void setReadLen(int readLen) {
        this.readLen = readLen;
    }

    public CardTypeEnum getCardType() {
        return cardType;
    }

    public void setCardType(CardTypeEnum cardType) {
        this.cardType = cardType;
    }
}
