package com.nexgo.oaf.apiv3.card.memory;

import com.nexgo.oaf.apiv3.device.reader.CardTypeEnum;

/**
 * Created by xiaox on 2017/1/6.
 */

/**
 * 卡密码操作类
 * CardTypeEnum cardType 卡类型，支持SLE4428,SLE4442,AT88SC153,AT88SC1608,IS23SC1604,AT88SC101,AT88SC102
 * int mode AT88SC153,AT88SC1608时表示 校验模式，0：读校验 1：写校验
 *      AT88SC101,AT88SC102,IS23SC1604时表示 校验内容 0:安全密码 1:擦除密码
 * int zone AT88SC153,AT88SC1608时表示 密码索引
 *      AT88SC101,AT88SC102,IS23SC1604时表示 区域号 0:整个存储区 1~n:应用区号
 * byte[] pwd 密码
 */
public class UpdateECEntity {
    private CardTypeEnum cardType;
    private byte[] pwd;
    private int mode;
    private int zone;

    public UpdateECEntity() {
    }

    public UpdateECEntity(CardTypeEnum cardType, byte[] pwd, int mode, int zone) {
        this.cardType = cardType;
        this.pwd = pwd;
        this.mode = mode;
        this.zone = zone;
    }

    public CardTypeEnum getCardType() {
        return cardType;
    }

    public void setCardType(CardTypeEnum cardType) {
        this.cardType = cardType;
    }

    public byte[] getPwd() {
        return pwd;
    }

    public void setPwd(byte[] pwd) {
        this.pwd = pwd;
    }

    public int getMode() {
        return mode;
    }

    public void setMode(int mode) {
        this.mode = mode;
    }

    public int getZone() {
        return zone;
    }

    public void setZone(int zone) {
        this.zone = zone;
    }
}
