package com.nexgo.oaf.apiv3.card.memory;

import com.nexgo.oaf.apiv3.device.reader.CardTypeEnum;

/**
 * Created by xiaox on 2017/1/6.
 */
/**
 * 写操作类
 * CardTypeEnum cardType 卡类型
 * int zone SLE4428时表示 保护位方式 0:不带保护位，1:带保护位
 *      SLE4442时表示 存储区域，0:主存储区，1:保护区
 *      AT88SC153,AT88SC1608时表示 分区号
 *      IS23SC1604时表示 区域编码
 * int address 起始地址，从0开始
 * byte[] writeData 写数据
 * int writeLen 写数据长度
 */
public class WriteEntity {
    private CardTypeEnum cardType;
    private int zone;
    private int address;
    private byte[] writeData;
    private int writeLen;

    public WriteEntity() {
    }

    public WriteEntity(CardTypeEnum cardType, int zone, int address, byte[] writeData, int writeLen) {
        this.cardType = cardType;
        this.zone = zone;
        this.address = address;
        this.writeData = writeData;
        this.writeLen = writeLen;
    }

    public CardTypeEnum getCardType() {
        return cardType;
    }

    public void setCardType(CardTypeEnum cardType) {
        this.cardType = cardType;
    }

    public int getZone() {
        return zone;
    }

    public void setZone(int zone) {
        this.zone = zone;
    }

    public int getAddress() {
        return address;
    }

    public void setAddress(int address) {
        this.address = address;
    }

    public byte[] getWriteData() {
        return writeData;
    }

    public void setWriteData(byte[] writeData) {
        this.writeData = writeData;
    }

    public int getWriteLen() {
        return writeLen;
    }

    public void setWriteLen(int writeLen) {
        this.writeLen = writeLen;
    }
}
