package com.nexgo.oaf.apiv3.card.mifare;

/**
 * Created by xiaox on 16/4/20.
 */

import com.nexgo.oaf.apiv3.SdkResult;

/**
 * M1卡类操作
 */
public interface M1CardHandler {
    /**
     * 读卡M1卡的UID
     * @return UID
     */
    String readUid();

    /**
     * 块认证
     *
     * @param entity {@link AuthEntity}
     * @return {@link SdkResult}
     */
    int authority(AuthEntity entity);

    /**
     * 读块数据,原始二进制16个字节
     *
     * @param entity {@link BlockEntity}
     * @return {@link SdkResult}
     */
    int readBlock(BlockEntity entity);

    /**
     * 读块数据值
     *
     * @param entity {@link BlockEntity}
     * @return {@link SdkResult}
     */
    int readBlockValue(BlockEntity entity);

    /**
     * 写块数据,原始二进制16个字节
     *
     * @param entity {@link BlockEntity}
     * @return {@link SdkResult}
     */
    int writeBlock(BlockEntity entity);

    /**
     * 写块数据值
     *
     * @param entity {@link BlockEntity}
     * @return {@link SdkResult}
     */
    int writeBlockValue(BlockEntity entity);

    /**
     * 操作块
     *
     * @param entity {@link BlockEntity}
     * @return {@link SdkResult}
     */
    int operateBlock(BlockEntity entity);
}
