package com.nexgo.oaf.apiv3.device.printer;

/**
 * Created by xiaox on 2017/3/10.
 */

/**
 * 点阵字体组合类
 * ascFont asc字体
 * font 字体
 * isZoomX 横向放大
 * isZoomY 纵向放大
 * isBold 加粗
 */
public class FontEntity {
    private DotMatrixFontEnum ascFont;
    private DotMatrixFontEnum font;
    private boolean isZoomX;
    private boolean isZoomY;
    private boolean isBold;

    public FontEntity(DotMatrixFontEnum font) {
        this.font = font;
        this.ascFont = font;
    }

    public FontEntity(DotMatrixFontEnum font, DotMatrixFontEnum ascFont) {
        this.ascFont = ascFont;
        this.font = font;
    }

    public FontEntity(DotMatrixFontEnum font, DotMatrixFontEnum ascFont, boolean isZoomX, boolean isZoomY) {
        this.ascFont = ascFont;
        this.font = font;
        this.isZoomX = isZoomX;
        this.isZoomY = isZoomY;
    }

    public DotMatrixFontEnum getAscFont() {
        return ascFont;
    }

    public void setAscFont(DotMatrixFontEnum ascFont) {
        this.ascFont = ascFont;
    }

    public DotMatrixFontEnum getFont() {
        return font;
    }

    public void setFont(DotMatrixFontEnum font) {
        this.font = font;
    }

    public boolean isZoomX() {
        return isZoomX;
    }

    public void setZoomX(boolean zoomX) {
        isZoomX = zoomX;
    }

    public boolean isZoomY() {
        return isZoomY;
    }

    public void setZoomY(boolean zoomY) {
        isZoomY = zoomY;
    }

    public boolean isBold() {
        return isBold;
    }

    public void setBold(boolean bold) {
        isBold = bold;
    }

    public static class Builder {
        private DotMatrixFontEnum ascFont;
        private DotMatrixFontEnum font;
        private boolean isZoomX;
        private boolean isZoomY;
        private boolean isBold;


        public Builder setAscFont(DotMatrixFontEnum ascFont) {
            this.ascFont = ascFont;
            return this;
        }

        public Builder setFont(DotMatrixFontEnum font) {
            this.font = font;
            return this;
        }

        public Builder setZoomX(boolean zoomX) {
            isZoomX = zoomX;
            return this;
        }

        public Builder setZoomY(boolean zoomY) {
            isZoomY = zoomY;
            return this;
        }

        public Builder setBold(boolean bold) {
            isBold = bold;
            return this;
        }

        public FontEntity build() {
            FontEntity font = new FontEntity(this.font);
            font.setAscFont(ascFont);
            font.setZoomX(isZoomX);
            font.setZoomY(isZoomY);
            font.setBold(isBold);
            return font;
        }
    }
}
