package com.nexgo.oaf.apiv3.device.printer;

/**
 * Created by xiaox on 2017/3/13.
 */

/**
 * 行打印附加操作类
 * boolean isUnderline 是否打印下划线
 * int marginLeft 左边距大小，单位象素
 * boolean isZoomX 横向放大一倍
 * boolean isZoomY 纵向放大一倍
 * boolean isBold 加粗
 */
public class LineOptionEntity {
    private boolean isUnderline;
    private int marginLeft;
    private boolean isZoomX;
    private boolean isZoomY;
    private boolean isBold;

    public boolean isUnderline() {
        return isUnderline;
    }

    public void setUnderline(boolean underline) {
        isUnderline = underline;
    }

    public int getMarginLeft() {
        return marginLeft;
    }

    public void setMarginLeft(int marginLeft) {
        this.marginLeft = marginLeft;
    }

    public boolean isZoomX() {
        return isZoomX;
    }

    public void setZoomX(boolean zoomX) {
        isZoomX = zoomX;
    }

    public boolean isZoomY() {
        return isZoomY;
    }

    public void setZoomY(boolean zoomY) {
        isZoomY = zoomY;
    }

    public boolean isBold() {
        return isBold;
    }

    public void setBold(boolean bold) {
        isBold = bold;
    }

    public static class Builder {
        private boolean isUnderline;
        private int marginLeft;
        private boolean isZoomX;
        private boolean isZoomY;
        private boolean isBold;


        public Builder setUnderline(boolean underline) {
            isUnderline = underline;
            return this;
        }

        public Builder setMarginLeft(int marginLeft) {
            this.marginLeft = marginLeft;
            return this;
        }

        public Builder setZoomX(boolean zoomX) {
            isZoomX = zoomX;
            return this;
        }

        public Builder setZoomY(boolean zoomY) {
            isZoomY = zoomY;
            return this;
        }

        public Builder setBold(boolean bold) {
            isBold = bold;
            return this;
        }

        public LineOptionEntity build() {
            LineOptionEntity option = new LineOptionEntity();
            option.setUnderline(isUnderline);
            option.setMarginLeft(marginLeft);
            option.setZoomX(isZoomX);
            option.setZoomY(isZoomY);
            option.setBold(isBold);
            return option;
        }
    }
}
