package com.nexgo.oaf.apiv3.device.reader;

/**
 * Created by xiaox on 16/4/26.
 */

/**
 * 卡信息类
 * cardNo 卡号
 * cardExistslot 寻到卡后，卡所在的卡槽类型
 * rfCardType 寻到卡后，返回非接卡片类型
 * isICC 寻到磁条卡后，从磁道数据中获取判断卡片是否具有IC卡芯片
 * csn 卡序列号，只有在OnEmvProcessListener.onConfirmCardNo是才会返回
 * tk1 一磁道数据
 * tk2 二磁道数据
 * tk3 三磁道数据
 * expiredDate 有效期
 * serviceCode 服务代码
 * isTk1Valid 一磁道数据lrc是否校验正确
 * isTk2Valid 二磁道数据lrc是否校验正确
 * isTk3Valid 三磁道数据lrc是否校验正确
 */
public class CardInfoEntity {
    private String cardNo;
    private CardSlotTypeEnum cardExistslot;
    private RfCardTypeEnum rfCardType;
    private boolean isICC;
    private String csn;
    private String tk1, tk2, tk3;
    private String expiredDate, serviceCode;
    private boolean isTk1Valid, isTk2Valid, isTk3Valid;

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public CardSlotTypeEnum getCardExistslot() {
        return cardExistslot;
    }

    public void setCardExistslot(CardSlotTypeEnum cardExistslot) {
        this.cardExistslot = cardExistslot;
    }

    public String getTk1() {
        return tk1;
    }

    public void setTk1(String tk1) {
        this.tk1 = tk1;
    }

    public String getTk2() {
        return tk2;
    }

    public void setTk2(String tk2) {
        this.tk2 = tk2;
    }

    public String getTk3() {
        return tk3;
    }

    public void setTk3(String tk3) {
        this.tk3 = tk3;
    }

    public boolean isTk1Valid() {
        return isTk1Valid;
    }

    public void setTk1Valid(boolean tk1Valid) {
        isTk1Valid = tk1Valid;
    }

    public boolean isTk2Valid() {
        return isTk2Valid;
    }

    public void setTk2Valid(boolean tk2Valid) {
        isTk2Valid = tk2Valid;
    }

    public boolean isTk3Valid() {
        return isTk3Valid;
    }

    public void setTk3Valid(boolean tk3Valid) {
        isTk3Valid = tk3Valid;
    }

    public String getExpiredDate() {
        return expiredDate;
    }

    public void setExpiredDate(String expiredDate) {
        this.expiredDate = expiredDate;
    }

    public String getServiceCode() {
        return serviceCode;
    }

    public void setServiceCode(String serviceCode) {
        this.serviceCode = serviceCode;
    }

    public boolean isICC() {
        return isICC;
    }

    public void setICC(boolean ICC) {
        isICC = ICC;
    }

    public String getCsn() {
        return csn;
    }

    public void setCsn(String csn) {
        this.csn = csn;
    }

    public RfCardTypeEnum getRfCardType() {
        return rfCardType;
    }

    public void setRfCardType(RfCardTypeEnum rfCardType) {
        this.rfCardType = rfCardType;
    }
}
