package com.nexgo.oaf.apiv3.device.scanner;

/**
 * Created by xiaox on 2016/12/6.
 */

/**
 * 摄像头扫码操作
 */
public interface Scanner {
    /**
     * 初始化摄像头参数
     *
     * @param cfgEntity {@link ScannerCfgEntity}
     * @param listener  初始化结果回调 OnScannerListener.onInitResult
     */
    void initScanner(ScannerCfgEntity cfgEntity, OnScannerListener listener);

    /**
     * 开启扫码
     *
     * @param timeout  超时时间，单位秒
     * @param listener 扫码回调 OnScannerListener.onScannerResult
     * @return
     */
    int startScan(int timeout, OnScannerListener listener);

    /**
     * 停止扫码
     */
    void stopScan();

    /**
     * 对输入的图像数据进行解码
     *
     * @param imageData 图像数据
     * @param imageWidth 图像宽度
     * @param imageHeight 图像高度
     * @return 解码结果，错误时为null
     */
    String decode(byte[] imageData,int imageWidth, int imageHeight);
}
